#ifndef ___config_hpp___
#define ___config_hpp___

#include <string>
#include <list>
#include <map>
using namespace std;

#include "sc2mapTypes.hpp"


struct Config
{
  ~Config();

  list<string> toAnalyze;
  list<string> toAnalyzeRecurse;

  list<string> localePreferences;

  map<string, int>   iConstants;
  map<string, float> fConstants;

  map<string, Color> colors;

  // unit/doodad/etc. -> name -> footprint
  list<Footprint*> allFootprints;
  map< string, map<string, Footprint*>* > type2name2foot;
};


void initConfigReading();

void readConfigFiles( bool global, string* path, Config* c );

void createInternalConfig( Config* c );


extern Config configInternal;
extern Config configUserGlobal;


#endif // ___config_hpp___
